<?php
/**
 * Plugin Name: Heraldbee
 * Plugin URI: https://heraldbee.com/woocommerce-plugin/
 * Description: Heraldbee is an application for creating Google Shopping Ads. It allows users to set up multiple Google Shopping campaigns and manage them easily. Highly automated and with a straightforward layout, Heraldbee is extremely easy to use. 
 * Author:  Heraldbee
 * Author URI: https://heraldbee.com
 * Version: 1.0
 */
define( 'HB_WC_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );
define( 'HB_WC_PLUGIN_URL', plugin_dir_url( __FILE__ ) );
define( 'HB_WC_FILE_URL', __FILE__ );
if ( ! class_exists( 'WC_heraldbee' ) ) :
class WC_heraldbee {
  /**
  * Construct the plugin.
  */
  public function __construct() {
    add_action( 'plugins_loaded', array( $this, 'init' ) );
  }
  /**
  * Initialize the plugin.
  */
  public function init() {
    // Checks if WooCommerce is installed.
    if ( class_exists( 'WC_Integration' ) ) {
      // Include our integration class.
      include_once 'class-wc-heraldbee.php';
      // Register the integration.
      add_filter( 'woocommerce_integrations', array( $this, 'add_integration' ) );
      // Set the plugin slug
      define( 'HERALDBEE_SLUG', 'wc-settings' );

       // Setting action for plugin
       add_filter( 'plugin_action_links_' . plugin_basename( __FILE__ ), 'WC_heraldbee_action_links' );
       function WC_heraldbee_action_links( $links ) {

        $links[] = '<a href="'. menu_page_url( HERALDBEE_SLUG, false ) .'&tab=integration">Settings</a>';
        return $links;
      }
    }
  }
  /**
   * Add a new integration to WooCommerce.
   */
  public function add_integration( $integrations ) {
    $integrations[] = 'WC_Heraldbee_Integration';
    return $integrations;
  }
}
$WC_heraldbee = new WC_heraldbee( __FILE__ );
endif;